%define ver  	0.99.13
%define rel	%mkrel 5

Summary: 	GNOME/GTK Client for Masqdialer 
Name: 		gmasqdialer
Version: 	%{ver}
Release: 	%{rel}
License: 	GPL
Group:		Networking/Remote access
URL:		http://www.dpinson.com/software/gmasqdialer/
Source: 	%{URL}/files/%{name}-%{ver}.tar.bz2
# (fc) 0.99.13-3mdk disable gtk deprecation flags
Patch0:		gmasqdialer-0.99.13-deprecation.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	gtk+2-devel 
BuildRequires:	scrollkeeper
BuildRequires:	ImageMagick
BuildRequires:	automake1.4

%description
Gnome client that allows a user to manipulate a Masqdialer controlled ppp link. 

%prep
%setup -q
%patch0 -p1 -b .deprecation

#needed by patch0
automake-1.4

%build
%configure2_5x
%make

%install
%makeinstall

#Menu:
mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}):\
        command="%{_bindir}/%{name}" \
	needs="x11" \
	icon="%{name}.png" \
	section="Internet/Remote Access" \
	title="Gmasqdialer" \
	longtitle="Gnome Client for the masqdialer modem server" \
	xdg="true"
EOF

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Gmasqdialer
Comment=Gnome Client for the masqdialer modem server
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=GNOME;GTK;X-MandrivaLinux-Internet-RemoteAccess;Network;RemoteAccess;Dialup;
EOF

mkdir -p %{buildroot}%{_liconsdir} %{buildroot}%{_iconsdir} %{buildroot}%{_miconsdir}
convert -resize 48x48 %{name}-icon.png %{buildroot}%{_liconsdir}/%{name}.png
convert -resize 32x32 %{name}-icon.png %{buildroot}%{_iconsdir}/%{name}.png
convert -resize 16x16 %{name}-icon.png %{buildroot}%{_miconsdir}/%{name}.png	

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog
%attr(755,root,root) %{_bindir}/*
%{_menudir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_iconsdir}/*.png
%{_datadir}/pixmaps/*
%{_datadir}/applications/%{name}.desktop

%changelog
* Tue Sep 05 2006 Buchan Milne <bgmilne@mandriva.org>
+ 2006-09-05 13:13:40 (60054)
xdg menu


* Tue Sep 05 2006 Buchan Milne <bgmilne@mandriva.org>
+ 2006-09-05 12:52:40 (60051)
buildrequire automake1.4


* Tue Sep 05 2006 Buchan Milne <bgmilne@mandriva.org>
+ 2006-09-05 12:49:19 (60050)
Import gmasqdialer

* Sat May 13 2006 Frederic Crozat <fcrozat@mandriva.com> 0.99.13-3mdk
- Patch0: don't enable gtk deprecation flags
- Clean build requires to stop iurt spam

* Sun Mar 30 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.99.13-2mdk
- Buildrequires (thanks slbd)

* Sun Dec 01 2002 Buchan Milne <bgmilne@linux-mandrake.com> 0.99.13-1mdk
- 0.99.13
- Package Gnome menu entry to make rpm happy.

* Mon Nov 18 2002 Buchan Milne <bgmilne@linux-mandrake.com> 0.99.12-1mdk
- Mandrake package

